returned< T >

A return type for container methods. More...

`#include <returned.hpp>`

## Public Member Functions

| returned (const returned< T > &)
| Copy operator required to return a value.
| operator T () const
| Convert to the proton::object. More...

## Detailed Description

### template<class T>
class proton::returned< T >

A return type for container methods.

Thread safety - Container method return values are thread-unsafe. A single-threaded application can safely assign the `returned<T>` value to a plain `T`. A multithreaded application must ignore the returned value because it may already be invalid by the time the function returns. Multithreaded applications can safely access the value inside messaging_handler functions.

## Member Function Documentation

## operator T()

operator T | ( |  | ) | const

Convert to the proton::object.

Note
  Thread-unsafe - Do not use in a multithreaded application.

The documentation for this class was generated from the following files:

- proton/fwd.hpp
- proton/returned.hpp